<?php

require_once dirname(__FILE__) . '/../includes/inicio.php';

try {
    $objUsuario = Usuario::buscarPeloEmail($_POST['usuario']);

    if (count($objUsuario) > 0) {
        if ('' != $objUsuario->getEmail()) {
            $token = Util::randomString(30);
            $enviaEmail = Email::novaSenha($objUsuario->getNome(), $objUsuario->getEmail(), $token);

            // ------------------------------------------------------------

            if ($enviaEmail) {
                $mudarToken = Usuario::mudarToken($objUsuario->getId(), $token);
                Message::success('Sucesso! Enviamos um código para o seu e-mail.');
            } else {
                Message::error('Erro no envio da senha.');
            }
        } else {
            Message::error('E-mail não cadastrado.');
        }
    } else {
        Message::error('Dados incorretos.');
    }
} catch (Exception $ex) {
    Message::error('Ocorreu um erro' . ' - ' . $ex->getMessage() . ' - ' . $ex->getFile() . ' - ' . $ex->getLine());
}

header('Location: ../login.php');
